function Pico_V1
format long g

%% Load Libraries
loadlibrary('pl1000.dll','pl1000Api.h','mfilename', 'mHeader')
unloadlibrary('pl1000')
loadlibrary('pl1000.dll',@mHeader)
%% Open the unit - returns a handle to the device
unithandle = 0;
[status_open, unithandle] = calllib('pl1000', 'pl1000OpenUnit', unithandle);
%% Set Up acquisition
blockLength=8192;% [us], Interval of measurement block / microseconds
nrSamples = 1000000; % [-], Number of samples to collect in block

%% Get AC
channelIDs = [1 4]; %[-], Active channels
nrOfValues = (8192/2);
values = zeros(2,nrOfValues);
overflow = 0;
triggerIndex = 0;
ready = false;
[status_SetInterval] = calllib('pl1000', 'pl1000SetInterval', unithandle, blockLength,nrSamples, channelIDs, length(channelIDs));
[status_Run] = calllib('pl1000', 'pl1000Run', unithandle, nrOfValues,'BM_SINGLE');  
tic
while ~ready 
   [status_Ready, ready] = calllib('pl1000', 'pl1000Ready', unithandle, ready);
end
toc
[status_GetValues, values, nrOfValues, overflow, triggerIndex] = calllib('pl1000', 'pl1000GetValues',unithandle, values, nrOfValues, overflow, triggerIndex);
AvgVal=sum(values(1:end))/length(values(1:end));  
length(values(1:end))
%% Close the unit
% status_stop = calllib('pl1000', 'pl1000Stop', unithandle);
status_close = calllib('pl1000', 'pl1000CloseUnit', unithandle);
unloadlibrary('pl1000');












